require 'rspec'
require 'pry'
require 'tempfile'
require 'catch_and_release'
require 'catch_and_release/rspec'
require 'support/given'
require 'support/hash'

require 'branchable_cdn_assets-middleman'

# silence stdout
$stdout = StringIO.open('','w+') unless ENV['VERBOSE']

RSpec.configure do |config|
  config.mock_with :rspec do |mocks|
    mocks.verify_doubled_constant_names = true
    mocks.verify_partial_doubles        = true
  end

  config.include CatchAndRelease::RSpec
end
