set :environment,     :test
set :show_exceptions, false

set :css_dir,     "assets/css"
set :js_dir,      "assets/scripts"
set :images_dir,  "assets/images"

activate :cdn_assets do |c|

  c.id      = "cdn1"
  c.cdn_dir = "cdn"

  c.environments = {
    production: {
      host: 'production_host',
      url: 'http://production.com',
      root: '/var/www/production'
    },
    test: {
      host: 'test_host',
      url: 'http://test.com',
      root: '/var/www/test'
    },
    staging: {
      host: 'staging_host',
      url: 'http://staging.com',
      root: '/var/www/staging'
    }
  }

end

activate :cdn_assets do |c|

  c.id      = "cdn2"
  c.cdn_dir = "cdn2"

  c.environments = {
    production: {
      host: 'production_host',
      url: 'http://production.com',
      root: '/var/www/production'
    },
    test: {
      host: 'test_host',
      url: 'http://test.com',
      root: '/var/www/test'
    },
    staging: {
      host: 'staging_host',
      url: 'http://staging.com',
      root: '/var/www/staging'
    }
  }

end

activate :directory_indexes
